
$('table').on('click', '.delete-confirm', function(e){
    e.preventDefault();
    var del_item = $(this).attr('data-item-del');
    var del_id = $(this).attr('id');
    $('#myModal').modal('show');
    $('#myModal2').modal('show');
    $('.tour_del').attr('id', del_id);
    $('.period_del').attr('id', del_id);
    $('.payin_del').attr('id', del_id);
    $('.payin2_del').attr('id', del_id);
    $('.pass2_del').attr('id', del_id);
    $('.doc2_del').attr('id', del_id);
    // $('.payin_del').attr('id', del_id);
  });


$('table').on('click', '.app-status-confirm', function(e){
    e.preventDefault();
    var status = $(this).attr('status');
    var id = $(this).attr('id');
    $('#myModal').modal('show');
    $('#myModal2').modal('show');
    $('.app_status').attr('id', id);
    // $('.payin_del').attr('id', del_id);
  });

// $('.payin_del').on('click', function(e){
//    // $(".payin_del").click(function(e){
//     e.preventDefault();
//     // var del_item = $(this).attr('data-item-del');
//      var del_item = $(this).attr('data-item-del');
//     var del_id = $(this).attr('id');
//     $('#myModal').modal('show');
//     $('.payin_del').attr('id', del_id);
//   });


   $("div").on('click', '.app_status', function(){
          var change_stat = $(this).attr('status');
          var change_id = $(this).attr('id');
            jQuery.ajax({
              method:"POST",
              url:"app_status.php",
              dataType:"text",
          data: {status: change_stat, id: change_id},
          cache:false,
              success:function(data){
               if(data==0){
                      swal({
                      title: "อัพเดต สถานะใบนัดหมาย สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function(){
                     location.reload();
            }, 1000);
                } else {
                   swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            }
            });  
            return false;  
        });


   $(".doc2_del").click(function(){ 
          var payin_id = $(this).attr('id');
          var href = $(this).attr('href');
          var allis = href + payin_id;
          var allid = 'id=' + payin_id;
            jQuery.ajax({
              method:"POST",
              url:"doc_del.php",
              dataType:"text",
          data:allid,
          cache:false,
              success:function(data){
               if(data==0){
                   swal({
                      title: "ลบ เอกสาร สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function () {
                      location.reload();
            }, 2000);
                } else {
                  swal({
                      title: "ขออภัยลบ เอกสาร ไม่ได้",
                      text: "กรุณารอสักครู่...",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            }
            });  
            return false;  
        }); 

   $(".pass2_del").click(function(){ 
          var payin_id = $(this).attr('id');
          var href = $(this).attr('href');
          var allis = href + payin_id;
          var allid = 'id=' + payin_id;
            jQuery.ajax({
              method:"POST",
              url:"pass_del.php",
              dataType:"text",
          data:allid,
          cache:false,
              success:function(data){
               if(data==0){
                   swal({
                      title: "ลบ Passport สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function () {
                      location.reload();
            }, 2000);
                } else {
                  swal({
                      title: "ขออภัยลบ Passport ไม่ได้",
                      text: "กรุณารอสักครู่...",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            }
            });  
            return false;  
        }); 


   $(".payin_del").click(function(){ 
          var payin_id = $(this).attr('id');
          var href = $(this).attr('href');
          var allis = href + payin_id;
          var allid = 'id=' + payin_id;
            jQuery.ajax({
              method:"POST",
              url:"payin_del.php",
              dataType:"text",
          data:allid,
          cache:false,
              success:function(data){
               if(data==0){
                   swal({
                      title: "ลบ Pay-in สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function () {
                      location.reload();
            }, 2000);
                } else {
                  swal({
                      title: "ขออภัยลบ pay-in ไม่ได้",
                      text: "กรุณารอสักครู่...",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            }
            });  
            return false;  
        }); 


   $(".payin2_del").click(function(){ 
          var period_id = $(this).attr('id');
          var href = $(this).attr('href');
          var allis = href + period_id;
          var allid = 'id=' + period_id;
            jQuery.ajax({
              method:"POST",
              url:"payin_del.php",
              dataType:"text",
          data:allid,
          cache:false,
              success:function(data){
                      if(data==0){
         swal({
                      title: "ลบ PAYIN สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function () {
                      location.reload();
            }, 2000);
                } else {
                    $.noty({
                text:"ข้อมูลผิดพลาดกรุณาลองอีกครั้ง !",
                layout:"bottomLeft",
                type:"error"
                });
                }
            }
            });  
            return false;  
        }); 


   $(".period_del").click(function(){ 
          var period_id = $(this).attr('id');
          var href = $(this).attr('href');
          var allis = href + period_id;
          var allid = 'id=' + period_id;
            jQuery.ajax({
              method:"POST",
              url:"period_del.php",
              dataType:"text",
          data:allid,
          cache:false,
              success:function(data){
                      if(data==0){
         swal({
                      title: "ลบ PERIOD สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function () {
                      location.reload();
            }, 2000);
                } else {
                    $.noty({
                text:"ข้อมูลผิดพลาดกรุณาลองอีกครั้ง !",
                layout:"bottomLeft",
                type:"error"
                });
                }
            }
            });  
            return false;  
        }); 




   // $(".payin_del").click(function(){ 
   //        var payin_id = $(this).attr('id');
   //        var href = $(this).attr('href');
   //        var allis = href + payin_id;
   //        var allid = 'id=' + payin_id;
   //          jQuery.ajax({
   //            method:"POST",
   //            url:"payin_del.php",
   //            dataType:"text",
   //        data:allid,
   //        cache:false,
   //            success:function(data){
   //                    if(data==0){
   //       swal({
   //                    title: "ลบ PAYIN สำเร็จ ! กรุณารอสักครู่...",
   //                    text: "กรุณารอสักครู่...",
   //                    icon: "success",
   //                    timer: 2000,
   //                    buttons: false,
   //                  });
   //                  setTimeout(function () {
   //                    location.reload();
   //          }, 2000);
   //              } else {
   //                   swal({
   //                    title: "ขออภัย",
   //                    text: "เกิดข้อผิดพลาด",
   //                    icon: "error",
   //                    timer: 2000,
   //                    buttons: false,
   //                  });
   //              }
   //          }
   //          });  
   //          return false;  
   //      }); 

$(function(){
    $("#form_period_del_all").submit(function(){
        var code = $(this).attr('code');
        var allcode = 'https://www.imaginetourservice-system.com/back_end/?url=period_del_all&id=' + code;
   $.post("period_del_all_del.php",$("#form_period_del_all").serialize(), function(data){  
  if(data==0){
                   swal({
                      title: "ลบ PERIOD Program สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
        setTimeout(function () {
        window.location.href = allcode;
      }, 2000);
        } else if(data==1) {
                   swal({
                      title: "ลบ Period Program สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
        setTimeout(function () {
        window.location.href = allcode;
      }, 2000);
       } else if(data==2) {
                   swal({
                      title: "ลบ Period Program สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
        setTimeout(function () {
        window.location.href = allcode;
      }, 2000);
        } else if(data==3) {
            swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
        } else {
               swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            });  
            return false;  
        });
});
   $(".tour_del").click(function(){ 
          var programe_id = $(this).attr('id');
          var href = $(this).attr('href');
          var allis = href + programe_id;
          var allid = 'id=' + programe_id;
            jQuery.ajax({
              method:"POST",
              url:"tour_del.php",
              dataType:"text",
          data:allid,
          cache:false,
              success:function(data){
               if(data==0){
                   swal({
                      title: "ลบ สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function () {
                      location.reload();
            }, 2000);
                } else {
                  swal({
                      title: "ขออภัย",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            }
            });  
            return false;  
        }); 

	$('#portletRefresh').on('click', function(ev) {
		ev.preventDefault();
		window.location.reload();
	});

// login logout
$(function(){  
		  $("#form_login").submit(function(){
		var imageURL = "https://www.imaginetourservice-system.com/img/loading.svg";
        swal({
          title: "กำลังเข้าสู่ระบบ",
          text: "กรุณารอสักครู่...",
          icon:imageURL,
          buttons: false,
        });
        setTimeout(function (){
		        $.post("check_login.php",$("#form_login").serialize(),function(data){  
		            if(data==0){
                   swal({
                      title: "เข้าระบบสำเร็จ !",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
		                setTimeout(function(){
		                	window.location.href = "https://www.imaginetourservice-system.com/back_end/?url=dashboard";
						}, 2000);
		            } else if(data==1) { 
                   swal({
                      title: "ขออภัย",
                      text: "Username หรือ Password ไม่ถูกต้อง !",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
		            } else {
                   swal({
                      title: "ขออภัย",
                      text: "รหัสภาพไม่ถูกต้อง",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
		            }  
		        });
		        }, 1000);  
		        return false;  
		    });  
		      
		});

$(function(){  
$("#logout_btn").click(function(){
swal({
  title: "คุณต้องการออกจากระบบ?",
  icon: "warning",
  buttons: ["ยกเลิก", "ออกจากระบบ"],
  dangerMode: true,
})
.then((willDelete) => {
var imageURL = "https://www.imaginetourservice-system.com/img/loading.svg";
  if (willDelete) {
    swal("กำลังออกจากระบบ!", {
      icon: imageURL,
      buttons: false,
    });
setTimeout(function(){
window.location.href = "https://www.imaginetourservice-system.com/back_end/logout.php";
	}, 2000);
  } else {
    
  }
});
return false;  
		    });  
		});
// login logout


$(function(){
        $("#form_tour").submit(function(){
            $.post("tour_insert.php",$("#form_tour").serialize(), function(data){  
                if(data==0){
                   swal({
                      title: "อัพเดต รายละเอียด Program สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function(){
                      window.location.href = "https://www.imaginetourservice-system.com/back_end/?url=tour";
            }, 2000);
                } else if(data==1) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                } else if(data==2) {
                   swal({
                      title: "เพิ่ม รายละเอียด Program สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function () {
                      window.location.href = "https://www.imaginetourservice-system.com/back_end/?url=tour";
            }, 2000);
                } else if(data==3) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                } else {
                   swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            });  
            return false;  
        });
});



$(function(){
    $("#form_pass").submit(function(){
        var code = $(this).attr('code');
        var allcode = 'https://www.imaginetourservice-system.com/back_end/?url=pass_iv';
   $.post("pass_insert.php",$("#form_pass").serialize(), function(data){  
  if(data==0){
                   swal({
                      title: "อัพเดต Passport สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
        setTimeout(function () {
        window.location.href = allcode;
      }, 2000);
        } else if(data==1) {
                   swal({
                      title: "อัพเดต Passport สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
        setTimeout(function () {
        window.location.href = allcode;
      }, 2000);
       } else if(data==2) {
                   swal({
                      title: "เพิ่ม Passport สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
        setTimeout(function () {
        window.location.href = allcode;
      }, 2000);
        } else if(data==3) {
            swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
        } else {
               swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            });  
            return false;  
        });
});


$(function(){
    $("#form_pass_data").submit(function(){
        var code = $(this).attr('code');
        var allcode = 'https://www.imaginetourservice-system.com/back_end/?url=maindatabase_update&id=' + code;
   $.post("pass_insert.php",$("#form_pass_data").serialize(), function(data){  
  if(data==0){
                   swal({
                      title: "อัพเดต Passport สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
        setTimeout(function () {
        window.location.href = allcode;
      }, 2000);
        } else if(data==1) {
                   swal({
                      title: "อัพเดต Passport สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
        setTimeout(function () {
        window.location.href = allcode;
      }, 2000);
       } else if(data==2) {
                   swal({
                      title: "เพิ่ม Passport สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
        setTimeout(function () {
        window.location.href = allcode;
      }, 2000);
        } else if(data==3) {
            swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
        } else {
               swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            });  
            return false;  
        });
});




$(function(){
    $("#form_tag").submit(function(){
        var code = $(this).attr('code');
        var allcode = 'https://www.imaginetourservice-system.com/back_end/?url=tag';
   $.post("tag_insert.php",$("#form_tag").serialize(), function(data){  
  if(data==0){
         swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
      //              swal({
      //                 title: "อัพเดต TAG สำเร็จ ! กรุณารอสักครู่...",
      //                 text: "กรุณารอสักครู่...",
      //                 icon: "success",
      //                 timer: 2000,
      //                 buttons: false,
      //               });
      //   setTimeout(function () {
      //   window.location.href = allcode;
      // }, 2000);
        } else if(data==1) {
                   swal({
                      title: "อัพเดต TAG สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
        setTimeout(function () {
        window.location.href = allcode;
      }, 2000);
       } else if(data==2) {
                   swal({
                      title: "เพิ่ม TAG สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
        setTimeout(function () {
        window.location.href = allcode;
      }, 2000);
        } else if(data==3) {
            swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
        } else {
               swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            });  
            return false;  
        });
});




$(function(){
    $("#form_ivbup").submit(function(){
        var code = $(this).attr('code');
        var allcode = 'https://www.imaginetourservice-system.com/back_end/?url=iv_bup';
   $.post("iv_bup_insert.php",$("#form_ivbup").serialize(), function(data){  
  if(data==0){
                   swal({
                      title: "อัพเดต BUP สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
        setTimeout(function () {
        window.location.href = allcode;
      }, 2000);
        } else if(data==1) {
                   swal({
                      title: "อัพเดต BUP สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
        setTimeout(function () {
        window.location.href = allcode;
      }, 2000);
       } else if(data==2) {
                   swal({
                      title: "เพิ่ม BUP สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
        setTimeout(function () {
        window.location.href = allcode;
      }, 2000);
        } else if(data==3) {
            swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
        } else {
               swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            });  
            return false;  
        });
});




$(function(){
    $("#form_period").submit(function(){
        var code = $(this).attr('code');
        var allcode = 'https://www.imaginetourservice-system.com/back_end/?url=period_a&id=' + code;
   $.post("period_insert.php",$("#form_period").serialize(), function(data){  
  if(data==0){
                   swal({
                      title: "อัพเดต PERIOD Program สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
        setTimeout(function () {
        window.location.href = allcode;
      }, 2000);
        } else if(data==1) {
                   swal({
                      title: "อัพเดต Period Program สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
        setTimeout(function () {
        window.location.href = allcode;
      }, 2000);
       } else if(data==2) {
                   swal({
                      title: "เพิ่ม Period Program สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
        setTimeout(function () {
        window.location.href = allcode;
      }, 2000);
        } else if(data==3) {
            swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
        } else {
               swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            });  
            return false;  
        });
});



$(function(){
    $("#form_periodth").submit(function(){
        var code = $(this).attr('code');
        var allcode = 'https://www.imaginetourservice-system.com/back_end/?url=periodth_a&id=' + code;
   $.post("periodth_insert.php",$("#form_periodth").serialize(), function(data){  
  if(data==0){
                   swal({
                      title: "อัพเดต PERIOD Program สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
        setTimeout(function () {
        window.location.href = allcode;
      }, 2000);
        } else if(data==1) {
                   swal({
                      title: "อัพเดต Period Program สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
        setTimeout(function () {
        window.location.href = allcode;
      }, 2000);
       } else if(data==2) {
                   swal({
                      title: "เพิ่ม Period Program สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
        setTimeout(function () {
        window.location.href = allcode;
      }, 2000);
        } else if(data==3) {
            swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
        } else {
               swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            });  
            return false;  
        });
});

$(function(){
		    $("#form_progrm").submit(function(){
		        $.post("programe_insert.php",$("#form_progrm").serialize(), function(data){  
		            if(data==0){
                   swal({
                      title: "อัพเดต Program สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
		                setTimeout(function(){
		                	window.location.href = "https://www.imaginetourservice-system.com/back_end/?url=programetour";
						}, 2000);
		            } else if(data==1) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
		            } else if(data==2) {
                   swal({
                      title: "เพิ่ม Program สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
		                setTimeout(function () {
		                	window.location.href = "https://www.imaginetourservice-system.com/back_end/?url=programetour";
						}, 2000);
		            } else if(data==3) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
		            } else {
                   swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
		            }
		        });  
		        return false;  
		    });
});



$(function(){
        $("#form_pack").submit(function(){
            $.post("package_insert.php",$("#form_pack").serialize(), function(data){  
                if(data==0){
                   swal({
                      title: "อัพเดต package สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function(){
                      window.location.href = "https://www.imaginetourservice-system.com/back_end/?url=packagetour";
            }, 2000);
                } else if(data==1) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                } else if(data==2) {
                   swal({
                      title: "เพิ่ม package สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function () {
                      window.location.href = "https://www.imaginetourservice-system.com/back_end/?url=packagetour";
            }, 2000);
                } else if(data==3) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                } else {
                   swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            });  
            return false;  
        });
});

$(function(){
		    $("#form_iv").submit(function(){
   $.post("iv_insert.php",$("#form_iv").serialize(), function(data){  
	if(data==0){
                   swal({
                      title: "อัพเดต INVOICE สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
		                setTimeout(function(){
		                	window.location.href = "https://www.imaginetourservice-system.com/back_end/?url=dashboard";
						}, 2000);
		    } else if(data==1) {
                    swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
		   } else if(data==2) {
                   swal({
                      title: "เพิ่ม INVOICE สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
		                setTimeout(function(){
		                	window.location.href = "https://www.imaginetourservice-system.com/back_end/?url=dashboard";
						}, 2000);
		    } else if(data==3) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
		    } else {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
		            }
		        });  
		        return false;  
		    });
});



$(function(){
$("#form_iv_data").submit(function(){
  var code = $(this).attr('code');
  var allcode = 'https://www.imaginetourservice-system.com/back_end/?url=maindatabase_update&id=' + code;

   $.post("iv_insert.php",$("#form_iv_data").serialize(), function(data){  
  if(data==0){
                   swal({
                      title: "อัพเดต INVOICE สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function(){
                      window.location.href = allcode;
            }, 2000);
        } else if(data==1) {
                    swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
       } else if(data==2) {
                   swal({
                      title: "เพิ่ม INVOICE สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function(){
                      window.location.href = allcode;
            }, 2000);
        } else if(data==3) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
        } else {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            });  
            return false;  
        });
});




$(function(){
$("#form_iv_data2").submit(function(){
  var code = $(this).attr('code');
  var allcode = 'https://www.imaginetourservice-system.com/back_end/?url=maindatabase_update&id=' + code;

   $.post("iv_data_insert.php",$("#form_iv_data2").serialize(), function(data){  
  if(data==0){
                   swal({
                      title: "อัพเดต INVOICE สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function(){
                      window.location.href = allcode;
            }, 2000);
        } else if(data==1) {
                    swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
       } else if(data==2) {
                   swal({
                      title: "เพิ่ม INVOICE สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function(){
                      window.location.href = allcode;
            }, 2000);
        } else if(data==3) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
        } else {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            });  
            return false;  
        });
});





$(function(){
$("#form_work_iv").submit(function(){
  var code = $(this).attr('code');
  var allcode = 'https://www.imaginetourservice-system.com/back_end/?url=maindatabase_update&id=' + code;

   $.post("iv_work_data.php",$("#form_work_iv").serialize(), function(data){  
  if(data==0){
                   swal({
                      title: "อัพเดต ปรับเปลี่ยนสถานะ  สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function(){
                      window.location.href = allcode;
            }, 2000);
        } else if(data==1) {
                    swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
       } else if(data==2) {
                   swal({
                      title: "เพิ่ม ปรับเปลี่ยนสถานะ  สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function(){
                      window.location.href = allcode;
            }, 2000);
        } else if(data==3) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
        } else {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            });  
            return false;  
        });
});


$(function(){
$("#form_work_iv2").submit(function(){
  var code = $(this).attr('code');
  var allcode = 'https://www.imaginetourservice-system.com/back_end/?url=maindatabase_update&id=' + code;

   $.post("iv_work_data.php",$("#form_work_iv2").serialize(), function(data){  
  if(data==0){
                   swal({
                      title: "อัพเดต ปรับเปลี่ยนสถานะ  สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function(){
                      location.reload();
            }, 2000);
        } else if(data==1) {
                    swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
       } else if(data==2) {
                   swal({
                      title: "เพิ่ม ปรับเปลี่ยนสถานะ  สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function(){
                      location.reload();
            }, 2000);
        } else if(data==3) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
        } else {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            });  
            return false;  
        });
});




$(function(){
$("#form_pay_data").submit(function(){
  var code = $(this).attr('code');
  var allcode = 'https://www.imaginetourservice-system.com/back_end/?url=maindatabase_update&id=' + code;

   $.post("payment_insert.php",$("#form_pay_data").serialize(), function(data){  
  if(data==0){
                   swal({
                      title: "อัพเดต PAYIN สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function(){
                      window.location.href = allcode;
            }, 2000);
        } else if(data==1) {
                    swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
       } else if(data==2) {
                   swal({
                      title: "เพิ่ม PAYIN สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function(){
                      window.location.href = allcode;
            }, 2000);
        } else if(data==3) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
        } else {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            });  
            return false;  
        });
});



$(function(){
$("#form_doc_data").submit(function(){
  var code = $(this).attr('code');
  var allcode = 'https://www.imaginetourservice-system.com/back_end/?url=maindatabase_update&id=' + code;

   $.post("doc_insert.php",$("#form_doc_data").serialize(), function(data){  
  if(data==0){
                   swal({
                      title: "อัพเดต เอกสาร สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function(){
                      window.location.href = allcode;
            }, 2000);
        } else if(data==1) {
                    swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
       } else if(data==2) {
                   swal({
                      title: "เพิ่ม เอกสาร สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function(){
                      window.location.href = allcode;
            }, 2000);
        } else if(data==3) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
        } else {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            });  
            return false;  
        });
});


$(function(){
		    $("#form_progrmth").submit(function(){
		        $.post("programeth_insert.php",$("#form_progrmth").serialize(), function(data){  
		            if(data==0){
                   swal({
                      title: "อัพเดต Program สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
		                setTimeout(function(){
		                	window.location.href = "https://www.imaginetourservice-system.com/back_end/?url=programetour_th";
						}, 2000);
		            } else if(data==1) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
		            } else if(data==2) {
                   swal({
                      title: "เพิ่ม Program สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
		                setTimeout(function () {
		                	window.location.href = "https://www.imaginetourservice-system.com/back_end/?url=programetour_th";
						}, 2000);
		            } else if(data==3) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
		            } else {
                   swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
		            }
		        });  
		        return false;  
		    });
});

$(function(){
        $("#form_wholesale").submit(function(){
            $.post("wholesale_insert.php",$("#form_wholesale").serialize(), function(data){  
                if(data==0){
                   swal({
                      title: "อัพเดต wholesale สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function(){
                      window.location.href = "https://www.imaginetourservice-system.com/back_end/?url=wholesale";
            }, 2000);
                } else if(data==1) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                } else if(data==2) {
                   swal({
                      title: "เพิ่ม wholesale สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function () {
                      window.location.href = "https://www.imaginetourservice-system.com/back_end/?url=wholesale";
            }, 2000);
                } else if(data==3) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                } else {
                   swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            });  
            return false;  
        });
});


$(function(){
        $("#form_country").submit(function(){
            $.post("country_insert.php",$("#form_country").serialize(), function(data){  
                if(data==0){
                   swal({
                      title: "อัพเดต ประเทศ สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function(){
                      window.location.href = "https://www.imaginetourservice-system.com/back_end/?url=country";
            }, 2000);
                } else if(data==1) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                } else if(data==2) {
                   swal({
                      title: "เพิ่ม ประเทศ สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function () {
                      window.location.href = "https://www.imaginetourservice-system.com/back_end/?url=country";
            }, 2000);
                } else if(data==3) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                } else {
                   swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            });  
            return false;  
        });
});

$(function(){
        $("#form_payment").submit(function(){
        var code = $(this).attr('code');
        var allcode = 'https://www.imaginetourservice-system.com/back_end/?url=receipt_form&iv=' + code;
            $.post("payment_insert.php",$("#form_payment").serialize(), function(data){  
                if(data==0){
                   swal({
                      title: "อัพเดต payment สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function(){
                      window.location.href = allcode;
            }, 2000);
                } else if(data==1) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                } else if(data==2) {
                   swal({
                      title: "เพิ่ม payment สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function () {
                      window.location.href = allcode;
            }, 2000);
                } else if(data==3) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                } else {
                   swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            });  
            return false;  
        });
});


$(function(){
        $("#form_receipt").submit(function(){
        var code = $(this).attr('code');
        var allcode = 'https://www.imaginetourservice-system.com/back_end/?url=maindatabase_update&id=' + code;
            $.post("receipt_insert.php",$("#form_receipt").serialize(), function(data){  
                if(data==0){
                   swal({
                      title: "อัพเดต payment สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function(){
                      window.location.href = allcode;
            }, 2000);
                } else if(data==1) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                } else if(data==2) {
                   swal({
                      title: "เพิ่ม payment สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function () {
                      window.location.href = allcode;
            }, 2000);
                } else if(data==3) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                } else {
                   swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            });  
            return false;  
        });
});



$(function(){
        $("#form_receipt_data").submit(function(){
        var code = $(this).attr('code');
        var allcode = 'https://www.imaginetourservice-system.com/back_end/?url=maindatabase_update&id=' + code;
            $.post("receipt_insert.php",$("#form_receipt_data").serialize(), function(data){  
                if(data==0){
                   swal({
                      title: "อัพเดต Receipt สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function(){
                      window.location.href = allcode;
            }, 2000);
                } else if(data==1) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                } else if(data==2) {
                   swal({
                      title: "เพิ่ม Receipt สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function () {
                      window.location.href = allcode;
            }, 2000);
                } else if(data==3) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                } else {
                   swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            });  
            return false;  
        });
});


$(function(){
        $("#form_airline").submit(function(){
            $.post("airline_insert.php",$("#form_airline").serialize(), function(data){  
                if(data==0){
                   swal({
                      title: "อัพเดต สายการบิน สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function(){
                      window.location.href = "https://www.imaginetourservice-system.com/back_end/?url=airline";
            }, 2000);
                } else if(data==1) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                } else if(data==2) {
                   swal({
                      title: "เพิ่ม สายการบิน สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function () {
                      window.location.href = "https://www.imaginetourservice-system.com/back_end/?url=airline";
            }, 2000);
                } else if(data==3) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                } else {
                   swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            });  
            return false;  
        });
});


$(function(){
        $("#form_group").submit(function(){
            $.post("group_insert.php",$("#form_group").serialize(), function(data){  
                if(data==0){
                   swal({
                      title: "อัพเดต กรุ๊ป สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function(){
                      window.location.href = "https://www.imaginetourservice-system.com/back_end/?url=group";
            }, 2000);
                } else if(data==1) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                } else if(data==2) {
                   swal({
                      title: "เพิ่ม กรุ๊ป สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function () {
                      window.location.href = "https://www.imaginetourservice-system.com/back_end/?url=group";
            }, 2000);
                } else if(data==3) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                } else {
                   swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            });  
            return false;  
        });
});



$(function(){
        $("#form_admin").submit(function(){
            $.post("admin_insert.php",$("#form_admin").serialize(), function(data){  
                if(data==0){
                   swal({
                      title: "อัพเดต ผู้ดูแล สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function(){
                      window.location.href = "https://www.imaginetourservice-system.com/back_end/?url=admin";
            }, 2000);
                } else if(data==1) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                } else if(data==2) {
                   swal({
                      title: "เพิ่ม ผู้ดูแล สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function () {
                      window.location.href = "https://www.imaginetourservice-system.com/back_end/?url=admin";
            }, 2000);
                } else if(data==3) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                } else {
                   swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            });  
            return false;  
        });
});


$(function(){
        $("#form_blog").submit(function(){
            $.post("blog_insert.php",$("#form_blog").serialize(), function(data){  
                if(data==0){
                   swal({
                      title: "อัพเดต บทความท่องเที่ยว สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function(){
                      window.location.href = "https://www.imaginetourservice-system.com/back_end/?url=blog";
            }, 2000);
                } else if(data==1) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                } else if(data==2) {
                   swal({
                      title: "เพิ่ม บทความท่องเที่ยว สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function () {
                      window.location.href = "https://www.imaginetourservice-system.com/back_end/?url=blog";
            }, 2000);
                } else if(data==3) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                } else {
                   swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            });  
            return false;  
        });
});


$(function(){
        $("#form_hot").submit(function(){
            $.post("hot_insert.php",$("#form_hot").serialize(), function(data){  
                if(data==0){
                   swal({
                      title: "อัพเดต บทความท่องเที่ยว สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function(){
                      window.location.href = "https://www.imaginetourservice-system.com/back_end/?url=hotpro";
            }, 2000);
                } else if(data==1) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                } else if(data==2) {
                   swal({
                      title: "เพิ่ม โปรไฟไหม้ สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function () {
                      window.location.href = "https://www.imaginetourservice-system.com/back_end/?url=hotpro";
            }, 2000);
                } else if(data==3) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                } else {
                   swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            });  
            return false;  
        });
});



$(function(){
        $("#form_review").submit(function(){
            $.post("review_insert.php",$("#form_review").serialize(), function(data){  
                if(data==0){
                   swal({
                      title: "อัพเดต review สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function(){
                      window.location.href = "https://www.imaginetourservice-system.com/back_end/?url=review";
            }, 2000);
                } else if(data==1) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                } else if(data==2) {
                   swal({
                      title: "เพิ่ม review สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function () {
                      window.location.href = "https://www.imaginetourservice-system.com/back_end/?url=review";
            }, 2000);
                } else if(data==3) {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                } else {
                   swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            });  
            return false;  
        });
});



		    $(function () {
        		// Define the url to send the image data to
        		var url = 'files.php';
        
        		// Call the fileupload widget and set some parameters
        		$('#imgfield').fileupload({
            		url: url,
            		dataType: 'json',
            		done: function (e, data) {
                		// Add each uploaded file name to the #files list
                		$.each(data.result.files, function (index, file) {
                			$('#progress').hide();
                			$('#img-list').show();
							$('#imgfield-img').removeClass("img-error").addClass( "img-success" );
                			$('#imgfield-msg').show();
                		    $('#imgfield-img').attr('src','../upload/' + file.name);
                		    $('.img-link').attr('data-img', file.name);
							$('#imgfiles').attr('value', file.name);
							$('#chkimgfield').removeClass("error").addClass( "success" );
                		});
            		},
            		progressall: function (e, data) {
                		// Update the progress bar while files are being uploaded
                		var progress = parseInt(data.loaded / data.total * 100, 10);
                		$('#uniform-imgfield').hide();
                		$('#progress').show();
                		$('#progress .bar').css(
		                    'width',
		                    progress + '%'
		                );
            		}
        		});
    		});
		    $(".img-del").click(function(){ 
		    	var img_id = $('#imgfiles').attr('value');
		    	var allid = 'id=' + img_id;
		    	var con = confirm('ต้องการจะลบรูปนี้ ?');
		    	if(con){
		        jQuery.ajax({
		        	method:"POST",
		        	url:"pic_del.php",
		        	dataType:"text",
					data:allid,
					cache:false,
		        	success:function(data){
		           if(data==0){
                   swal({
                      title: "ลบรูปสำเร็จ !",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 1000,
                      buttons: false,
                    });
		                $('#uniform-imgfield').show();
		                $('#imgfield').show();
		                $('#img-list').hide();
		                $('#progress').hide();
						$('#imgfield-img').removeClass("img-success");
                		$('#imgfield-msg').hide();
                		$('#imgfield-img').attr('src', '');
						$('#imgfiles').attr('value', '1');
						$('#chkimgfield').removeClass("success");
						$(".filename").text('No file selected');

		            } else {

		            }
		        }
		        });
		    }
		        return false;  
		    });



        $(".i-pass").click(function(){
          var link_img = $(this).attr('data-img');
          var pid = $(this).attr('data-id');
          var folder = $(this).attr('folder');
          var all_link = folder+'/'+link_img;
          // $('#myModal').modal('show');
          $('#img-show').attr('src', link_img);
          $('#img-show2').attr('src', link_img);
          $('#print-btn').attr('href', link_img);
          $('#print-btn').attr('data-id', pid);
        });

        
        $(".pass_del_payin").click(function(){ 
          var img_id = $('#imgfiles').attr('value');
          var allid = 'id=' + img_id;
          var con = confirm('ต้องการจะลบรูปนี้ ?');
          if(con){
            jQuery.ajax({
              method:"POST",
              url:"pass_del_payin.php",
              dataType:"text",
          data:allid,
          cache:false,
              success:function(data){
               if(data==0){
                   swal({
                      title: "ลบรูปสำเร็จ !",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 1000,
                      buttons: false,
                    });
                    $('#uniform-imgfield').show();
                    $('#imgfield').show();
                    $('#img-list').hide();
                    $('#progress').hide();
            $('#imgfield-img').removeClass("img-success");
                    $('#imgfield-msg').hide();
                    $('#imgfield-img').attr('src', '');
            $('#imgfiles').attr('value', '1');
            $('#chkimgfield').removeClass("success");
            $(".filename").text('No file selected');

                } else {

                }
            }
            });
        }
            return false;  
        });




	    $(function () {
        		// Define the url to send the image data to
        		var url = 'files_logo.php';
        
        		// Call the fileupload widget and set some parameters
        		$('#imgfieldlogo').fileupload({
            		url: url,
            		dataType: 'json',
            		done: function (e, data) {
                		// Add each uploaded file name to the #files list
                		$.each(data.result.files, function (index, file) {
                			$('#progress-logo').hide();
                			$('#img-list-logo').show();
							$('#imgfield-logo-img').removeClass("img-error").addClass( "img-success" );
                			$('#imgfield-logo-msg').show();
                		    $('#imgfield-logo-img').attr('src','../upload/' + file.name);
                		    $('.img-link-logo').attr('data-img', file.name);
							$('#imgfiles-logo').attr('value', file.name);
							$('#chkimgfieldlogo').removeClass("error").addClass( "success" );
                		});
            		},
            		progressall: function (e, data) {
                		// Update the progress bar while files are being uploaded
                		var progress = parseInt(data.loaded / data.total * 100, 10);
                		$('#uniform-imgfieldlogo').hide();
                		$('#progress-logo').show();
                		$('#progress-logo .bar').css(
		                    'width',
		                    progress + '%'
		                );
            		}
        		});
    		});


		    $(".img-logo-del").click(function(){ 
		    	var img_id = $('#imgfiles-logo').attr('value');
		    	var allid = 'id=' + img_id;
		    	var con = confirm('ต้องการจะลบรูปนี้ ?');
		    	if(con){
		        jQuery.ajax({
		        	method:"POST",
		        	url:"logo_del.php",
		        	dataType:"text",
					data:allid,
					cache:false,
		        	success:function(data){
		           if(data==0){
                   swal({
                      title: "ลบรูปสำเร็จ !",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 1000,
                      buttons: false,
                    });
		                $('#uniform-imgfieldlogo').show();
		                $('#uniform-imgfieldlogo2').show();
		                $('#imgfieldlogo').show();
		                $('#imgfieldlogo2').show();
		                $('#img-list-logo').hide();
		                $('#progress-logo').hide();
						$('#imgfield-logo-img').removeClass("img-success");
                		$('#imgfield-logo-msg').hide();
                		$('#imgfield-logo-img').attr('src', '');
						$('#imgfiles-logo').attr('value', '');
						$('#chkimgfieldlogo').removeClass("success");
						$(".filename").text('No file selected');

		            } else {

		            }
		        }
		        }); 
		    } 
		        return false;  
		    });

      $(function () {
            // Define the url to send the image data to
            var url = 'files_payin.php';
        
            // Call the fileupload widget and set some parameters
            $('#imgfieldlogo2').fileupload({
                url: url,
                dataType: 'json',
                done: function (e, data) {
                    // Add each uploaded file name to the #files list
                    $.each(data.result.files, function (index, file) {
                      $('#progress-logo').hide();
                      $('#img-list-logo').show();
              $('#imgfield-logo-img').removeClass("img-error").addClass( "img-success" );
                      $('#imgfield-logo-msg').show();
                        $('#imgfield-logo-img').attr('src','../payin/' + file.name);
                        $('.img-link-logo').attr('data-img', file.name);
              $('#imgfiles-logo').attr('value', file.name);
              $('#chkimgfieldlogo2').removeClass("error").addClass( "success" );
                    });
                },
                progressall: function (e, data) {
                    // Update the progress bar while files are being uploaded
                    var progress = parseInt(data.loaded / data.total * 100, 10);
                    $('#uniform-imgfieldlogo2').hide();
                    $('#progress-logo').show();
                    $('#progress-logo .bar').css(
                        'width',
                        progress + '%'
                    );
                }
            });
        });

      // $(function () {
      //       // Define the url to send the image data to
      //       var url = 'pass_in.php';
        
      //       // Call the fileupload widget and set some parameters
      //       $('#imgfieldlogo3').fileupload({
      //           url: url,
      //           dataType: 'json',
      //           done: function (e, data) {
      //               // Add each uploaded file name to the #files list
      //               $.each(data.result.files, function (index, file) {
      //                 $('#progress-logo').hide();
      //                 $('#img-list-logo').show();
      //         $('#imgfield-logo-img').removeClass("img-error").addClass( "img-success" );
      //                 $('#imgfield-logo-msg').show();
      //                   $('#imgfield-logo-img').attr('src','../pass/' + file.name);
      //                   $('.img-link-logo').attr('data-img', file.name);
      //         $('#imgfiles-logo').attr('value', file.name);
      //         $('#chkimgfieldlogo2').removeClass("error").addClass( "success" );
      //               });
      //           },
      //           progressall: function (e, data) {
      //               // Update the progress bar while files are being uploaded
      //               var progress = parseInt(data.loaded / data.total * 100, 10);
      //               $('#uniform-imgfieldlogo2').hide();
      //               $('#progress-logo').show();
      //               $('#progress-logo .bar').css(
      //                   'width',
      //                   progress + '%'
      //               );
      //           }
      //       });
      //   });

      $(function() {
            // Define the url to send the image data to
            var url = 'pass_in.php';
            
            // Call the fileupload widget and set some parameters
            $('.imgfieldlogo3').fileupload({
                url: url,
                dataType: 'json',
                acceptFileTypes: /(\.|\/)(gif|jpe?g|png)$/i,
                done: function (e, data) {
                  var uid = $(this).attr('data-id');
                    // Add each uploaded file name to the #files list
                    $.each(data.result.files, function (index, file) {
                      $('#P'+uid).hide();
                      $('#img-list'+uid).show();
                      $('#imgfield-msg'+uid).show();
                        $('#imgfield-img'+uid).attr('src','../pass/thumbnail/' + file.name);
                        $('#BUTTON'+uid).attr('data-img',file.name);
                        $('#BUTTON'+uid).attr('folder','../pass');
              $('#N'+uid).attr('value', file.name);
                    });
                },
                progressall: function (e, data) {
                    // Update the progress bar while files are being uploaded
                    var uid = $(this).attr('data-id');
                    var progress = parseInt(data.loaded / data.total * 100, 10);
                    $('#uniform-fileupload'+uid).hide();
                    $('#P'+uid).show();
                    $('#PB'+uid).css(
                        'width',
                        progress + '%'
                    );
                }
            });
        });

      
  $(".img-logo-del2").click(function(){ 
          var img_id = $('#imgfiles-logo').attr('value');
          var allid = 'id=' + img_id;
          var con = confirm('ต้องการจะลบรูปนี้ ?');
          if(con){
            jQuery.ajax({
              method:"POST",
              url:"logo_del_payin.php",
              dataType:"text",
          data:allid,
          cache:false,
              success:function(data){
               if(data==0){
                   swal({
                      title: "ลบรูปสำเร็จ !",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 1000,
                      buttons: false,
                    });
                    $('#uniform-imgfieldlogo').show();
                    $('#uniform-imgfieldlogo2').show();
                    $('#imgfieldlogo').show();
                    $('#imgfieldlogo2').show();
                    $('#img-list-logo').hide();
                    $('#progress-logo').hide();
            $('#imgfield-logo-img').removeClass("img-success");
                    $('#imgfield-logo-msg').hide();
                    $('#imgfield-logo-img').attr('src', '');
            $('#imgfiles-logo').attr('value', '');
            $('#chkimgfieldlogo').removeClass("success");
            $(".filename").text('No file selected');

                } else {

                }
            }
            }); 
        } 
            return false;  
        });




		 //    if (window.innerWidth > 767) {
		 //     $("body").on('click','.noti_btn',function(){ 
		 //    	var notifi_id = $(this).attr('data-id');
		 //    	var code = $(this).attr('code');
		 //    	var allcode = 'https://www.imaginetourservice-system.com/back_end/?url=' + code;
		 //    	var allid = 'id=' + notifi_id;
		 //        jQuery.ajax({
		 //        	method:"POST",
		 //        	url:"noti_update.php",
		 //        	dataType:"text",
			// 		data:allid,
			// 		cache:false,
		 //        	success:function(data){
		 //           	if(data==0){
		 //           		$.ajax({
			// 					url: "https://www.imaginetourservice-system.com/back_end/notification_all.php" ,
			// 					type: "GET",
			// 					data: ''
			// 				}).success(function(obj) {
			// 					var table = '';
			// 					if(obj != ''){
			// 						$.each(obj, function(key, val) {
			// 							table += '<li>';
			// 							table += '<a href="#" code="'+val['ses']+'" class="'+val['btclass']+'" data-id="'+val['dataid']+'">';
			// 							table += '<span class="from">';
			// 							table += '<table cellpadding="0" border="0" cellspacing="0" style="float:left; margin-right:10px;">';
			// 							table += '<tr>';
			// 							table += '<td style="background-color:#fff; text-align:center; width:40px; height:40px;">';
			// 							table += '<img src="'+val['agentpic']+'" style="max-height:40px !important; max-width:40px !important; height:auto !important; width:auto !important; margin:0 !important; float:none !important;">';
			// 							table += '</td>';
			// 							table += '</tr>';
			// 							table += '</table>';
			// 							table += ''+val['new']+' '+val['asname']+'';
			// 							table += '</span>';
			// 							table += '<span class="title"> '+val['status_m']+''+val['status_c']+'</span>';
			// 							table += '<span class="date">';
			// 							table += ''+val['time']+', <b>'+val['hour']+':'+val['min']+'</b>';
			// 							table += '</span></a></li>';
			// 						});
			// 					}
			// 					$("ul.messagesList").html(table);
			// 				});
			// 			var redirectWindow = window.open(allcode, '_blank');
			// 			redirectWindow.location;
		 //            }
		 //        }
		 //        });
		 //        return false;  
		 //    });
		 // } else {
		 // 	$("body").on('click','.noti_btn',function(){ 
		 //    	var notifi_id = $(this).attr('data-id');
		 //    	var code = $(this).attr('code');
		 //    	var allcode = 'https://www.imaginetourservice-system.com/back_end/?url=' + code;
		 //    	var allid = 'id=' + notifi_id;
		 //        jQuery.ajax({
		 //        	method:"POST",
		 //        	url:"noti_update.php",
		 //        	dataType:"text",
			// 		data:allid,
			// 		cache:false,
		 //        	success:function(data){
		 //           	if(data==0){
			// 			window.location.href = allcode
		 //            }
		 //        }
		 //        });
		 //        return false;  
		 //    });
		 // }


// $(document).ready(function(){
// 	function load_unseen_notification(view = ''){
// 		$.ajax({
// 		  url:"notification.php",
// 		  method:"POST",
// 		  data:{view:view},
// 		  dataType:"json",
// 		  success:function(ndata){
// 		   $('.noti .messages').html(ndata.notification);
// 		   if(ndata.unseen_notification > 0){
// 		    $('.count').html(ndata.unseen_notification);
// 		    $('.count').show();
// 		   }
// 		  }
// 		});
// 	}
// 	load_unseen_notification();
// 	setInterval(function(){
// 	 load_unseen_notification();
// 	}, 5000);
// });

	// setInterval(function(){
	// 	var getTime=$.ajax({
	// 		url:"time.php",
	// 		data:"",
	// 		success:function(getTime){
	// 			$(".time").html(getTime);
	// 		}
	// 	});
	// },1000);
	   		$(function () {
        		// Define the url to send the image data to
        		var url = 'files_se.php';
        
        		// Call the fileupload widget and set some parameters
        		$('#seriesfield').fileupload({
            		url: url,
            		dataType: 'json',
            		done: function (e, data) {
                		// Add each uploaded file name to the #files list
                		$.each(data.result.files, function (index, file) {
                			$('#progress').hide();
                			$('.attachments').show();
                		    $('.file_name').text(file.name);
                		    $('.f_download').attr('href','../b_end/pdf/' + file.name);
							$('#seriesdata').attr('value', file.name);
                		});
            		},
            		progressall: function (e, data) {
                		// Update the progress bar while files are being uploaded
                		var progress = parseInt(data.loaded / data.total * 100, 10);
                		$('#uniform-seriesfield').hide();
                		$('#progress').show();
                		$('#progress .bar').css(
		                    'width',
		                    progress + '%'
		                );
            		}
        		});
    		});

	    $(".remove_file").click(function(){ 
		    	var file_id = $('#seriesdata').attr('value');
		    	var allid = 'id=' + file_id;
		    	var con = confirm('ต้องการจะลบไฟล์นี้ ?');
		    	if(con){
		        jQuery.ajax({
		        	method:"POST",
		        	url:"file_del.php",
		        	dataType:"text",
					data:allid,
					cache:false,
		        	success:function(data){
		           if(data==0){
                   swal({
                      title: "ลบ PDF FILE สำเร็จ !",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 1000,
                      buttons: false,
                    });
		                $('#uniform-seriesfield').show();
		                $('#seriesfield').show();
		                $('.attachments').hide();
		                $('#progress').hide();
                		$('.f_download').attr('href', '');
						$('#seriesdata').attr('value', '');
						$(".filename").text('No file selected');

		            } else {
		                      swal({
                      title: "ขออภัย",
                      text: "เกิดข้อผิดพลาด",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
		            }
		        }
		        });  }
		        return false;  
		    });
	
			    $(".i-ext-logo2").click(function(){
		    	var link_img = $(".img-link-logo").attr('data-img');
		    	var all_link = 'upload/' + link_img;
		    	$('#myModal').modal('show');
          $('#myModal2').modal('show');
		    	$('#img-show').attr('src', all_link);
		    	$('#print-btn').attr('href', all_link);
		    });
			// function clicked2() {
			// 	var pid = $('#print-btn').attr('data-id');
   //  			var image_new = $('#print-btn').attr('href');
   //  			var code_new = $('#code').attr('value'); 
   //  			var period_new = $('#periodpass').attr('value'); 
   //  			var agency_new = $('#eng').attr('value'); 
   //  			var invoice_new = $('#bid').attr('value'); 
   //  			var pass_new = $('#passno'+pid).attr('value').toUpperCase(); 
			//     var myWindow = window.open('','','width=500,height=500');
			//     myWindow.document.write("<html><head></head><body onload='print()'>");
			//     myWindow.document.write("<center><h3>CUSTOMER PASSBOOK</h3><p>Agency : "+agency_new+"</p>");
			//     myWindow.document.write("<p>Tour Code : "+code_new+"</p>");
			//     myWindow.document.write("<p>Period : "+period_new+"</p>");
			//     myWindow.document.write("<p>Pass No : "+pass_new+"</p>");
			//     myWindow.document.write("<p>BT"+invoice_new+"</p>");
			//     myWindow.document.write('<img src="'+image_new+'" style="max-width: 700px; max-height: 700px; width:auto; height:auto;"></center>');
			//     myWindow.document.write("</body></html>");
			//     var document_focus = false; // var we use to monitor document focused status.
		 //        // Now our event handlers.
		 //        $(document).ready(function() { myWindow.window.print();document_focus = true; });
		 //        setInterval(function() { if (document_focus === true) { myWindow.window.close(); }  }, 300);
			// }

// function printWindow()
// {
//    var printReadyEle = document.getElementById("content");
//    var shtml = '<HTML>\n<HEAD>\n';
//    if (document.getElementsByTagName != null)
//    {
//       var sheadTags = document.getElementsByTagName("head");
//       if (sheadTags.length > 0)
//          shtml += sheadTags[0].innerHTML;
//     }
//     shtml += '</HEAD>\n<BODY>\n';
//     if (printReadyEle != null)
//     {
//        shtml += '<form name = frmform1>';
//        shtml += printReadyEle.innerHTML;
//     }
//     shtml += '\n</form>\n</BODY>\n</HTML>';
//     var printWin1 = window.open();
//     printWin1.document.open();
//     printWin1.document.write(shtml);
//     printWin1.document.close();
//     printWin1.print();
// }

       function clicked() {
          var image_new = $('#img-show').attr('src');
          var code_new = $('#iv_namepro').attr('value'); 
          var period_new = $('#pro_dategopr').attr('value');
          var sale = $('#iv_admin').attr('value'); 
          var agency_new = $('#eng').attr('value'); 
          var invoice_new = $('#iv_new').attr('value'); 
          var myWindow = window.open('','','width=500,height=500');
          myWindow.document.write("<html><head></head><body onload='print()'>");
          myWindow.document.write("<center><h3>PAY-IN</h3><p>Imagine Tour and Travel Service Co., LTD</p>");
          myWindow.document.write("<p>"+code_new+"</p>");
          myWindow.document.write("<p>Period : "+period_new+"</p>");
          myWindow.document.write("<p>ชื่อเซลล์ : "+sale+"</p>");
          myWindow.document.write("<p>Invoice No. : "+invoice_new+"</p>");
          myWindow.document.write("<img src='"+image_new+"' style='max-width: 700px; max-height: 700px; width:auto; height:auto;'/></center>");
          myWindow.document.write("</body></html>");
          var document_focus = false; // var we use to monitor document focused status.
            // Now our event handlers.
            $(document).ready(function() { myWindow.window.print(); document_focus = true; });
            setInterval(function() { if (document_focus === true) { myWindow.window.close(); }  }, 600);
      }

    function clicked2() {
          var image_new = $('#img-show').attr('src');
          var code_new = $('#namepro').attr('value'); 
          var period_new = $('#pro_dategopr').attr('value');
          var sale = $('#iv_admin').attr('value'); 
          var agency_new = $('#eng').attr('value'); 
          var invoice_new = $('#iv_new').attr('value'); 
          var myWindow = window.open('','','width=500,height=500');
          myWindow.document.write("<html><head></head><body onload='print()'>");
          myWindow.document.write("<center><h3>PASSENGER</h3><p>Imagine Tour and Travel Service Co., LTD</p>");
          myWindow.document.write("<p>"+code_new+"</p>");
          myWindow.document.write("<p>Period : "+period_new+"</p>");
          myWindow.document.write("<p>ชื่อเซลล์ : "+sale+"</p>");
          myWindow.document.write("<p>Invoice No. : "+invoice_new+"</p>");
          myWindow.document.write("<img src='"+image_new+"' style='max-width: 700px; max-height: 700px; width:auto; height:auto;'/></center>");
          myWindow.document.write("</body></html>");
          var document_focus = false; // var we use to monitor document focused status.
            // Now our event handlers.
            $(document).ready(function() { myWindow.window.print(); document_focus = true; });
            setInterval(function() { if (document_focus === true) { myWindow.window.close(); }  }, 600);
      }


   $("div").on('click', '.changestatus_re', function(){
          var change_stat = $(this).attr('status');
          var change_id = $(this).attr('id');
            jQuery.ajax({
              method:"POST",
              url:"re_status.php",
              dataType:"text",
          data: {status: change_stat, id: change_id},
          cache:false,
              success:function(data){
               if(data==0){
                      swal({
                      title: "อัพเดต สถานะใบเสร็จ สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function(){
                     location.reload();
            }, 1000);
                } else {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            }
            });  
            return false;  
        });


   $("table").on('click', '.changestatus_iv', function(){
          var change_stat = $(this).attr('status');
          var change_id = $(this).attr('id');
            jQuery.ajax({
              method:"POST",
              url:"iv_status.php",
              dataType:"text",
          data: {status: change_stat, id: change_id},
          cache:false,
              success:function(data){
               if(data==0){
                      swal({
                      title: "อัพเดต STATUS สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function(){
                     location.reload();
            }, 1000);
                } else {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            }
            });  
            return false;  
        });


   $("table").on('click', '.changestatus_book', function(){
          var change_stat = $(this).attr('status');
          var change_id = $(this).attr('id');
            jQuery.ajax({
              method:"POST",
              url:"book_status.php",
              dataType:"text",
          data: {status: change_stat, id: change_id},
          cache:false,
              success:function(data){
               if(data==0){
                      swal({
                      title: "อัพเดต STATUS สำเร็จ ! กรุณารอสักครู่...",
                      text: "กรุณารอสักครู่...",
                      icon: "success",
                      timer: 2000,
                      buttons: false,
                    });
                    setTimeout(function(){
                     location.reload();
            }, 1000);
                } else {
                   swal({
                      title: "ขออภัย",
                      text: "กรุณากรอกข้อมูลให้ครบถ้วน",
                      icon: "error",
                      timer: 2000,
                      buttons: false,
                    });
                }
            }
            });  
            return false;  
        });
    // $(function() {
    //         // Define the url to send the image data to
    //         var url = 'Uploadpass.php';
            
    //         // Call the fileupload widget and set some parameters
    //         $('.passup').fileupload({
    //             url: url,
    //             dataType: 'json',
    //             acceptFileTypes: /(\.|\/)(gif|jpe?g|png)$/i,
    //             done: function (e, data) {
    //               var uid = $(this).attr('data-id');
    //                 // Add each uploaded file name to the #files list
    //                 $.each(data.result.files, function (index, file) {
    //                   $('#P'+uid).hide();
    //                   $('#img-list'+uid).show();
    //                   $('#imgfield-msg'+uid).show();
    //                     $('#imgfield-img'+uid).attr('src','../pass/' + file.name);
    //                     $('#BUTTON'+uid).attr('data-img',file.name);
    //                     $('#BUTTON'+uid).attr('folder','../pass');
    //           $('#N'+uid).attr('value', file.name);
    //                 });
    //             },
    //             progressall: function (e, data) {
    //                 // Update the progress bar while files are being uploaded
    //                 var uid = $(this).attr('data-id');
    //                 var progress = parseInt(data.loaded / data.total * 100, 10);
    //                 $('#uniform-fileupload'+uid).hide();
    //                 $('#P'+uid).show();
    //                 $('#PB'+uid).css(
    //                     'width',
    //                     progress + '%'
    //                 );
    //             }
    //         });
    //     });


function printWindow()
{
   var printReadyEle = document.getElementById("datatable-tabletoolss2");
   var shtml = '<HTML>\n<HEAD>\n';
   if (document.getElementsByTagName != null)
   {
      var sheadTags = document.getElementsByTagName("head");
      if (sheadTags.length > 0)
         shtml += sheadTags[0].innerHTML;
    }
    shtml += '</HEAD>\n<BODY>\n';
    if (printReadyEle != null)
    {
       shtml += '<form name = frmform1>';
       shtml += printReadyEle.innerHTML;
    }
    shtml += '\n</form>\n</BODY>\n</HTML>';
    var printWin1 = window.open();
    printWin1.document.open();
    printWin1.document.write(shtml);
    printWin1.document.close();
    printWin1.print();
}

function printPageArea(areaID){
    var printContent = document.getElementById("datatable-tabletoolss2").innerHTML;
    var originalContent = document.body.innerHTML;
    document.body.innerHTML = printContent;
    window.print();
    document.body.innerHTML = originalContent;
}


$(document).ready(function(){
  function load_unseen_notification(view = ''){
    $.ajax({
      url:"notification.php",
      method:"POST",
      data:{view:view},
      dataType:"json",
      success:function(ndata){
       $('.noti .messages').html(ndata.notification);
       if(ndata.unseen_notification > 0){
        $('.count').html(ndata.unseen_notification);
        $('.count').show();
       }
      }
    });
  }
  load_unseen_notification();
  setInterval(function(){
   load_unseen_notification();
  }, 5000);
});
